Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.attachments
Class MimeUtils

    java.lang.Object
      org.apache.axis.attachments.MimeUtils

public class MimeUtils
extends Object

This class is defines utilities for mime.

Field Summary
`static String[]` | `filter` Field filter

Constructor Summary
`MimeUtils()`

Method Summary
`static javax.mail.internet.MimeMultipart` | `createMP(String env, Collection parts)` This routine will create a multipart object from the parts and the SOAP content.
`protected static long` | `getContentLength(javax.mail.internet.MimeBodyPart bp)` Determine the length for the individual part.
`static long` | `getContentLength(javax.mail.Multipart mp)` Determine as efficiently as possible the content length for attachments in a mail Multipart.
`static String` | `getContentType(javax.mail.internet.MimeMultipart mp)` This routine will get the content type.
`static void` | `writeToMultiPartStream(OutputStream os, javax.mail.internet.MimeMultipart mp)` This routine will the multi part type and write it out to a stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filter

    public static String[] filter

  Field filter

Constructor Detail

### MimeUtils

    public MimeUtils()

Method Detail

### getContentLength

    public static long getContentLength(javax.mail.Multipart mp)
                                 throws javax.mail.MessagingException

  Determine as efficiently as possible the content length for attachments in a mail Multipart.

  Parameters:
    `mp` - is the multipart to be serarched.
  Returns:
    the actual length.
  Throws:
    `javax.mail.MessagingException`

### getContentLength

    protected static long getContentLength(javax.mail.internet.MimeBodyPart bp)

  Determine the length for the individual part.

  Parameters:
    `bp` - is the part to be searched.
  Returns:
    the length in bytes.

### writeToMultiPartStream

    public static void writeToMultiPartStream(OutputStream os,
                                              javax.mail.internet.MimeMultipart mp)

  This routine will the multi part type and write it out to a stream.

  Note that is does *NOT* pass `AxisProperties` to `Session.getInstance`, but instead the System properties.

  Parameters:
    `os` - is the output stream to write to.
    `mp` - the multipart that needs to be written to the stream.

### getContentType

    public static String getContentType(javax.mail.internet.MimeMultipart mp)

  This routine will get the content type.

  Parameters:
    `mp` -
  Returns:

### createMP

    public static javax.mail.internet.MimeMultipart createMP(String env,
                                                             Collection parts)
                                                      throws AxisFault

  This routine will create a multipart object from the parts and the SOAP content.

  Parameters:
    `env` - should be the text for the main root part.
    `parts` - contain a collection of the message parts.
  Returns:
    a new MimeMultipart object
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.